package ejb.test.timer;

import java.util.Collection;
import java.util.Date;

import javax.annotation.Resource;
import javax.ejb.Stateless;
import javax.ejb.Timeout;
import javax.ejb.Timer;
import javax.ejb.TimerConfig;
import javax.ejb.TimerService;
import javax.inject.Inject;

@Stateless
public class TestTimer
{

   @Resource
   TimerService timerService;

   @Inject
   SomeApplicationScopedBean bean;


   public void createTimer()
   {
      timerService.createIntervalTimer(new Date(System.currentTimeMillis()), 5000l, new TimerConfig("MyTimer", true));
   }

   @Timeout
   public void timeout(Timer timer)
   {

      System.out.println("Time out called " + bean.getWord());
   }

   public void cancel()
   {
      Collection<Timer> timers = timerService.getTimers();
      for (Timer timer : timers)
      {
         timer.cancel();
      }

   }
}
